Loading...
Searching...
No Matches
CxxTest::ValueTraits< const bool > Class Reference

`#include <ValueTraits.h>`

## Public Member Functions

| ValueTraits (const bool value)
const char * | asString (void) const

## Private Types

enum |

## Private Attributes

bool | _value
char | _asString [sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]

## Detailed Description

Definition at line 195 of file ValueTraits.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Definition at line 76 of file ValueTraits.h.

{ MAX_BYTES = 8 };
CxxTest::ValueTraits< const bool >::MAX_BYTES
@ MAX_BYTES
Definition ValueTraits.h:76

## Constructor & Destructor Documentation

## ValueTraits()

CxxTest::ValueTraits< const bool >::ValueTraits | ( | const bool | value | ) |

inline

Definition at line 200 of file ValueTraits.h.

: _value( value ) {}
CxxTest::ValueTraits< const bool >::_value
bool _value
Definition ValueTraits.h:197
CxxTest::ValueTraits
Definition ValueTraits.h:75

## Member Function Documentation

## asString()

const char * CxxTest::ValueTraits< const bool >::asString | ( | void |  | ) | const

inline

Definition at line 201 of file ValueTraits.h.

{ return _value ? "true" : "false"; }

## Field Documentation

## _asString

char CxxTest::ValueTraits< const bool >::_asString[sizeof("{ ")+sizeof("XX ") *MAX_BYTES+sizeof("... }")]

private

Definition at line 77 of file ValueTraits.h.

## _value

bool CxxTest::ValueTraits< const bool >::_value

private

Definition at line 197 of file ValueTraits.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ValueTraits.h